Subject: Re: bug#66330: 28.2; Gnus wide reply (S W) changes Subject header when used from Debbugs thread

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 Oct 2023 11:45:15 +0300

> From: Björn Bidar <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],
>   [email-masked],  Maxim Cournoyer <[email-masked]>
> Date: Wed, 04 Oct 2023 11:31:55 +0300
> 
> Michael Albinus <[email-masked]> writes:
> 
> >> The Subject lines in a bug/issue discussion should describe the
> >> bug/issue, not the patches sent to fix the issue.
> >
> > D'accord. But I guess the subject line quoted here is created by a tool
> > of the guix-patches toolchain. So first we shall agree about the rules
> > of that toolchain (I'm from Emacs, I won't dictate anything!).
> 
> The `[PATCH patch-number/patch-count] Subject` subject format is also the
> generate format for Git patch-series. The Guix subject format is a
> variant of this.
> 
> The subject changing could be an issue outside of Gnus. E.g when
> responding to a patch in git patch series outside of Guix.
> 
> However I think it is a general issue that mail clients append Re: or
> some localized variation of it.

Re: and its localized variants are not a problem: all Emacs MUAs
support that and know how to ignore them for threading purposes.